Bug 90401 - Allow resetting or removing personal information (author, date/time) on comments and changes
Summary: Allow resetting or removing personal information (author, date/time) on comme...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:7.3.0 target:7.2.0.0.beta2
Keywords:
: 89983 (view as bug list)
Depends on:
Blocks: Track-Changes Writer-Comments File-Properties Privacy
  Show dependency treegraph
 
Reported: 2015-04-01 18:25 UTC by Simo Kaupinmäki
Modified: 2021-08-19 14:38 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments
Metadata on comments and changes (15.05 KB, application/vnd.oasis.opendocument.text)
2015-04-04 13:16 UTC, Simo Kaupinmäki
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Simo Kaupinmäki 2015-04-01 18:25:51 UTC
There should be a simple way to reset or remove the metadata (about the author and date/time) on comments and changes. By googling you can find a few inquiries about this kind of functionality.

Currently (in Libo 4.4.2.2) there is an option to remove personal information from a document:

"Options → LibreOffice → Security → Security Options and Warnings → Options... → Security Options → Remove personal information on saving"

However, this only affects the personal information on "File → Properties... → General". Basically, I think the wording is misleading, because if there is personal information incorporated as metadata in comments and changes, this will not be removed.

In MS Word 2003 there is a similar option, but it also resets the metadata on comments and changes:

"Tools → Options... → Security → Privacy options → Remove personal information from file properties on save"

This option is also available in Word 2007/2013, although the procedure is a little different:

http://www.pcreview.co.uk/threads/remove-date-time-stamp-in-track-changes.3827063/

It would be nice to have a little more nuanced choice in Libo that allowed you to reset just the date and time information on comments and changes. Currently, Libo isn't even on a par with Word in this respect.
Comment 2 Simo Kaupinmäki 2015-04-04 13:16:37 UTC
Created attachment 114615 [details]
Metadata on comments and changes

Steps to reproduce:

1) Open the attached odt document. There are a comment and some recorded changes with personal information as metadata.
2) Select "File → Properties... → General". The dialog box shows information about the author and when the document has been modified. Click OK.
3) Select "Tools → Options... → LibreOffice → Security → Security options and warnings → Options... → Security options. Make sure that "Remove personal information on saving" has been ticked and click OK (twice).
4) Make a change in the text and save the document. The personal information is removed from "File → Properties... → General", but the metadata on the comment and changes are not removed.
Comment 3 raal 2015-04-04 16:03:36 UTC
I can confirm, setting to new.
Comment 4 Simo Kaupinmäki 2015-04-04 17:57:00 UTC
*** Bug 89983 has been marked as a duplicate of this bug. ***
Comment 5 Buovjaga 2015-04-10 15:04:46 UTC Comment hidden (no-value)
Comment 6 Heiko Tietze 2016-01-09 10:15:33 UTC
There was another feature request on G+ dealing with this topic. But this person wants to just hide the comments not to clean it afterwards. So I suggest to introduce an option whether of not comments should be personalized. It would be a checkbox at the context menu of the comment plus another at options > security. When this option is not checked the time stamp and user id of comments is hidden. 

Looking at this issue there is an option right now to remove the metadata when a document is saved. So actually this bug could be solved (and I'd have to open another since my suggestion is to prevent the creation). 

uxadvice (comments are relevant not only for Writer) + needsdeveval
Could be an easyhack
Comment 7 Heiko Tietze 2016-01-10 15:05:58 UTC
Oups, of course not "wants to just hide the comments" but "wants to just hide the comments timestamp (and perhaps also the author)".
Comment 8 Pedro 2016-02-23 10:50:40 UTC
This feature is really important for anyone using LibreOffice to anonymously review peer documents.

Would it be possible that simply unchecking "Apply user data" in File > Properties would show Comments and Tracked changes from "Unknown Author" (as it does when no User Data has been filled)?
(Currently the only option is to delete all User Data fields)

I assume that "Apply user data" in document properties applies to the current document (regardless if the global "Use data for document properties" option is checked or unchecked)

To be honest I don't understand in what circumstance the user would fill the User Data and then UN-check the "Use data for document properties". What is the personal data used for if not for document properties???
Comment 9 Robinson Tryon (qubit) 2016-08-25 05:49:30 UTC Comment hidden (obsolete)
Comment 10 Cor Nouws 2019-04-02 20:04:17 UTC
I like the idea for enhancement - there are several things to think about however (and now for me it's late in the evening..)
Comment 11 Heiko Tietze 2019-04-04 05:40:15 UTC
Some ideas:
a) include comment metadata at Tools > Options > LibreOffice > Security (which deletes all info)
b) Files > Properties > Apply user data (sounds weird)
c) dedicated function, for example, Edit > Comment > Delete User Data on Comments

Recommendation is to do a) with code and provide c) per extension.
Comment 12 Cor Nouws 2019-06-07 06:49:49 UTC
(In reply to Heiko Tietze from comment #11)

> b) Files > Properties > Apply user data (sounds weird)
File > Properties is the natural place IMO. Maybe "manage or change applied user data" ?
Comment 13 Thomas Lendo 2019-06-07 19:23:02 UTC
In the meantime I support the idea of the bug opener to rename the feature in the options dislog.

But the whole privacy issue should be enhanced in the longer run. I like the way MS-Office handles that with an own dialog. Therefore I suggest a new privacy tab in the file properties where the user can choose different options with checkboxes (personal and timestamp info in file properties, name and timestamp in comments, change tracking data, etc.). At the bottom end of the dialog a button named 'Remove selected data from file' or something similar must be available which deletes this data immediately.

Maybe a separate checkbox can be introduced that makes it possible to remove the data at every document save process. But I don't know if this is s good idea. Someone will be afraid due to data loss if this option is forgotten or activated by a colleague.
Comment 14 Commit Notification 2021-06-17 08:44:16 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/12da70f88517bf3c053afe1c504bb70bd27573f2

tdf#90401 xmloff: remove personal info of comments and changes

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2021-06-17 17:47:21 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/658e947b699ad1e08810f0fefd5c901e750ad919

tdf#90401 xmloff: remove personal info of comments and changes

It will be available in 7.2.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 NISZ LibreOffice Team 2021-07-05 06:39:19 UTC
Verified in:
Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 0afa7e64d547a8f2a48402660acf5c95a468a0ab
CPU threads: 4; OS: Windows 10.0 Build 17134; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: threaded
Comment 17 Timur 2021-08-18 12:16:34 UTC Comment hidden (obsolete)
Comment 18 Rafael Lima 2021-08-19 14:38:25 UTC
(In reply to Timur from comment #17)
> I think this should go to
> https://wiki.documentfoundation.org/ReleaseNotes/7.2 because it's a new
> feature and by putting it there visibility is better (many users are not
> aware of all the options).

Hi Timur, I updated the release notes. This will be helpful for those writing LO guides.